
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.craftablegunpowder.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.bus.api.IEventBus;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;
import net.minecraft.core.registries.BuiltInRegistries;

import net.mcreator.craftablegunpowder.item.SulfurDustItem;
import net.mcreator.craftablegunpowder.item.SaltpeterDustItem;
import net.mcreator.craftablegunpowder.item.CharcoalDustItem;
import net.mcreator.craftablegunpowder.CraftableGunpowderMod;

public class CraftableGunpowderModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(BuiltInRegistries.ITEM, CraftableGunpowderMod.MODID);
	public static final DeferredHolder<Item, Item> SULFUR = REGISTRY.register("sulfur", () -> new SulfurDustItem());
	public static final DeferredHolder<Item, Item> SULFUR_ORE = block(CraftableGunpowderModBlocks.SULFUR_ORE);
	public static final DeferredHolder<Item, Item> SULFUR_BLOCK = block(CraftableGunpowderModBlocks.SULFUR_BLOCK);
	public static final DeferredHolder<Item, Item> DEEPSLATE_SULFUR_ORE = block(CraftableGunpowderModBlocks.DEEPSLATE_SULFUR_ORE);
	public static final DeferredHolder<Item, Item> SALTPETER = REGISTRY.register("saltpeter", () -> new SaltpeterDustItem());
	public static final DeferredHolder<Item, Item> SALTPETER_ORE = block(CraftableGunpowderModBlocks.SALTPETER_ORE);
	public static final DeferredHolder<Item, Item> SALTPETER_BLOCK = block(CraftableGunpowderModBlocks.SALTPETER_BLOCK);
	public static final DeferredHolder<Item, Item> DEEPSLATE_SALTPETER_ORE = block(CraftableGunpowderModBlocks.DEEPSLATE_SALTPETER_ORE);
	public static final DeferredHolder<Item, Item> NETHER_SULFUR_ORE = block(CraftableGunpowderModBlocks.NETHER_SULFUR_ORE);
	public static final DeferredHolder<Item, Item> CHARCOAL_DUST = REGISTRY.register("charcoal_dust", () -> new CharcoalDustItem());

	// Start of user code block custom items
	// End of user code block custom items
	public static void register(IEventBus bus) {
		REGISTRY.register(bus);
	}

	private static DeferredHolder<Item, Item> block(DeferredHolder<Block, Block> block) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties()));
	}
}
