
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.craftablegunpowder.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.Mod;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.craftablegunpowder.CraftableGunpowderMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class CraftableGunpowderModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, CraftableGunpowderMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(CraftableGunpowderModBlocks.SULFUR_ORE.get().asItem());
			tabData.accept(CraftableGunpowderModBlocks.DEEPSLATE_SULFUR_ORE.get().asItem());
			tabData.accept(CraftableGunpowderModBlocks.SALTPETER_ORE.get().asItem());
			tabData.accept(CraftableGunpowderModBlocks.DEEPSLATE_SALTPETER_ORE.get().asItem());
			tabData.accept(CraftableGunpowderModBlocks.NETHER_SULFUR_ORE.get().asItem());
			tabData.accept(CraftableGunpowderModBlocks.SULFUR_BLOCK.get().asItem());
			tabData.accept(CraftableGunpowderModBlocks.SALTPETER_BLOCK.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(CraftableGunpowderModItems.SULFUR.get());
			tabData.accept(CraftableGunpowderModItems.SALTPETER.get());
			tabData.accept(CraftableGunpowderModItems.CHARCOAL_DUST.get());
		}
	}
}
